Bug 812036 - Release notes: 3.1.4 - Remove dev implementation discussion
Release notes: 3.1.4 - Remove dev implementation discussion
Status: CLOSED CURRENTRELEASE
Product: CloudForms Common
Classification: Red Hat
Component: Docs Release Notes (Show other bugs)
1.0.0
Unspecified Unspecified
high Severity high
: rc
: ---
Assigned To: Shikha
ecs-bugs
: Documentation
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-12 11:14 EDT by Corey Welton
Modified: 2016-04-27 19:38 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-30 13:14:40 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Corey Welton 2012-04-12 11:14:45 EDT
In section: 
3.1.4. Using '-' Lucene query syntax returns error

The following paragraph is, on the whole, inappropriate/irrelevant for a release note. 

Moving to using a 'text' query (not based on Lucene syntax), would resolve this issue; however, it also eliminates features of Lucene that are useful for Katello users (such as AND and OR operators). We could implement those ourselves; however, it would require defining our own search query syntax and parser, which may not be desirable in the long-term. As a result, updated Katello to 'disable' the behavior of the '-' operator. Essentially, this means 'escaping' anytime a user enters a '-'.

Further investigation shows that this comes from here:

https://bugzilla.redhat.com/show_bug.cgi?id=789533#c5

This is discussion of dev implementation and how the developer(s) came to the conclusion they did, but it's of little relevance for a release notes - not to mention it is, at very least, speaking in the present tense (in the release notes), when any changes took place in the past.

It should be struck from the release notes, or at least rewritten from an "explanation" perspective, versus an "implementation" perspective.
Comment 1 Shikha 2012-04-13 02:30:46 EDT
After some consideration we have merged 3.1.4 and 3.1.5. Please review and provide feedback.

Regards,
Shikha

Note You need to log in before you can comment on or make changes to this bug.